<?php
session_start();
if (!isset($_SESSION['admin'])) {
    header('Location: index.php');
    exit;
}

require '../config.php';

$properties = json_decode(file_get_contents('properties.json'), true) ?: [];

$new_property = [
    'id' => uniqid(),
    'title' => secure_data($_POST['title']),
    'description' => secure_data($_POST['description']),
    'image1' => '',
    'image2' => '',
    'image3' => '',
    'youtube_link' => secure_data($_POST['youtube_link'])
];

// Handle image uploads securely
foreach (['image1', 'image2', 'image3'] as $key) {
    if ($_FILES[$key]['error'] === 0) {
        $target_dir = '../uploads/';
        $target_file = $target_dir . basename($_FILES[$key]['name']);
        move_uploaded_file($_FILES[$key]['tmp_name'], $target_file);
        $new_property[$key] = 'uploads/' . basename($_FILES[$key]['name']);
    }
}

$properties[] = $new_property;

file_put_contents('properties.json', json_encode($properties));

header('Location: dashboard.php');
exit;
?>
